/* -*- Mode: C; tab-width: 8; indent-tabs-mode: t; c-basic-offset: 8 -*- */
/* runlevel-druid.h: this file is part of runlevel-admin, a ximian-setup-tool frontend 
 * for run level services administration.
 * 
 * Copyright (C) 2002 Ximian, Inc.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as
 * published by the Free Software Foundation; either version 2 of the
 * License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307, USA.
 *
 * Authors: Carlos Garnacho <garparr@teleline.es>.
 */

#ifndef __RUNLEVEL_DRUID_H
#define __RUNLEVEL_DRUID_H

#include <gnome.h>
#include <glade/glade.h>

typedef struct{
	GtkWidget *window;
	GladeXML *glade;
	gint runlevel;
} RunlevelDruid;

RunlevelDruid* runlevel_druid_new(gint);
void runlevel_druid_show(RunlevelDruid *druid);

#endif /* RUNLEVEL_DRUID_H */

